<template>
  <div class="skewt-surface-data-table d-flex flex-grow-1 flex-column">
    <h3>Informação de superfície</h3>
    <table class="table">
      <tbody>
        <tr>
          <th scope="row">Altitude</th>
          <td>{{ height }}</td>
        </tr>
        <tr>
          <th scope="row">Temperatura</th>
          <td>{{ temperature }}</td>
        </tr>
        <tr>
          <th scope="row">Ponto de orvalho</th>
          <td>{{ dewpoint }}</td>
        </tr>
        <tr>
          <th scope="row">Pressão</th>
          <td>{{ pressure }}</td>
        </tr>
        <tr>
          <th scope="row">Intensidade do vento</th>
          <td>{{ wind.speed }}</td>
        </tr>
        <tr>
          <th scope="row">Direção do vento</th>
          <td>
            <wind-dir-arrow width="24px" height="24px" :angle="wind.direction"/>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
import Units from '@/core/units'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import WindDirArrow from '@/workspace/components/query/WindDirArrow'

export default {
  name: 'skewtsurfacedatatable',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    surfaceData: {
      type: Object,
      default: () => { return {} }
    },
  },

  computed: {
    height: {
      get() {
        return 0
      }
    },

    temperature: {
      get() {
        return Units.formatNum(
          Units.temperatureUnits.C(this.surfaceData.temperature),
          1
        )
      }
    },

    dewpoint: {
      get() {
        return Units.formatNum(
          Units.temperatureUnits.C(this.surfaceData.dewpoint),
          1
        )
      }
    },

    pressure: {
      get() {
        return Units.formatNum(
          Units.pressureUnits.hPa(this.surfaceData.pressure),
          1
        )
      }
    },

    wind: {
      get() {
        return {
          speed: Units.formatNum(Units.speedUnits.kmh(this.surfaceData.intensity), 1),
          direction: this.surfaceData.direction * 180 / Math.PI
        }
      }
    },
  },

  components: {
    WindDirArrow,
  },
}
</script>

<style>
.skewt-surface-data-table td {
  padding-left: 1rem;
  text-align: right
}
</style>
